#pragma once
#include <iostream>
#include <fstream>
#include <wtypes.h>

using namespace std;

namespace HostServer{
    class SyncTimeMsg
    {
    private:
        unsigned long long  _localIdCode;
        unsigned long long  _upperIdCode;
		unsigned long long  _rootIdCode;
        unsigned short      _syncNum;
        unsigned short      _syncLevel;
        unsigned long long  _localStationSendTime;
        unsigned long long  _localStationReceiveTime;
    public:
        unsigned long long LocalIdCode() const { return _localIdCode; }
        void LocalIdCode(unsigned long long val) 
		{
			if(val == 14757395258967641292){
				val = 0;
			}
			_localIdCode = val; 
		}
        unsigned long long UpperIdCode() const { return _upperIdCode; }
        void UpperIdCode(unsigned long long val) { _upperIdCode = val; }
		unsigned long long RootIdCode() const { return _rootIdCode; }
		void RootIdCode(unsigned long long val) { _rootIdCode = val; }
        unsigned short SyncNum() const { return _syncNum; }
        void SyncNum(unsigned short val) { _syncNum = val; }
        unsigned short SyncLevel() const { return _syncLevel; }
        void SyncLevel(unsigned short val) { _syncLevel = val; }
        unsigned long long LocalStationSendTime() const { return _localStationSendTime; }
        void LocalStationSendTime(unsigned long long val) { _localStationSendTime = val; }
        unsigned long long LocalStationReceiveTime() const { return _localStationReceiveTime; }
        void LocalStationReceiveTime(unsigned long long val) { _localStationReceiveTime = val; }
    };
}